<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>
            {% block title %}Welcome!
            {% endblock %}
        </title>
        <link href="https://bootswatch.com/4/sandstone/bootstrap.min.css" rel="stylesheet">
        {% block stylesheets %}{% endblock %}
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
            <a class="navbar-brand" href="{{ path('accueil') }}">Accueil</a>
            <button aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler" data-target="#navbarColor01" data-toggle="collapse" type="button">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarColor01">
                <ul class="navbar-nav mr-auto">
                    {% if is_granted('ROLE_ADMIN') %}
                        <li class="nav-item">
                            <a class="nav-link" href="{{path('easyadmin')}}">Administration</a>
                        </li>
                    {% endif %}
                    <li class="nav-item">
                        <a class="nav-link" href="{{ path('blog') }}">Articles</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ path('blog_create') }}">Ecrire un article</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ path('security_registration') }}">S'inscrire</a>
                        {% if not app.user %}

                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{ path('app_login') }}">Connexion</a>
                        </li>
                    {% else %}
                        <li class="nav-item">
                            <a class="nav-link" href="{{ path('app_logout') }}">Deconnexion</a>
                        </li>
                    {% endif %}

                </div>

            </ul>

        </div>
    </nav>
    <div class="container">
        {% block body %}{% endblock %}

    </div>
    {% block javascripts %}{% endblock %}
</body></html>
